import React from 'react'
import styled from 'styled-components'
import '../core/css/style.scss'
import config from '../local/js/config'

// Styling
const StyledDiv = styled.div`
  display: flex;
  flex-direction: column;
  .caixa-cascata-title{
    background-color: ${config.SecondaryColor};
    color: white;
    border-top-left-radius: 1vh;
    border-top-right-radius: 1vh;
    padding-left: 2vh;
    padding-right: 2vh;
    padding-top: 1.0vh;
    padding-bottom: 1.0vh;
    min-width: 30%;
    max-width: 60%;
    width: fit-content;
    @media (max-width: 100vh) {
      max-width: 95%;
    }
    p{
      text-align: center;
      margin: 0 !important;
    }
  }
  .caixa-cascata-div{
    border: 0.3vh solid ${config.SecondaryColor};
    border-radius: 1vh;
    border-top-left-radius: 0;
    padding-left: 2vh;
    padding-right: 2vh;
    padding-top: 1.5vh;
    padding-bottom: 1.5vh;
    width: 100%;
    p{
      margin: 0 !important;
    }
  }
`

// Page
class CaixaCascata extends React.Component {
  constructor (props) {
    super(props)
    this.state = {
      content: this.props.Content,
      title: this.props.Title
    }
  }

  render () {
    return (
      <StyledDiv className='caixa caixa-cascata'>
        <div className='caixa-cascata-title animated fadeInDown faster'>
          <p>{this.state.title}</p>
        </div>
        <div className='caixa-cascata-div animated fadeInDown faster delay-1s'>
          <p>{this.state.content}</p>
        </div>
      </StyledDiv>
    )
  }
}
export default CaixaCascata
