import React from 'react'
import styled from 'styled-components'
import CaixaIcone from '../components/CaixaIcone'
import CaixaColorida from '../components/CaixaColorida'

const StyledDiv = styled.div`
p:not(:last-child) {
  margin-bottom: 1em;
}
`

class Page extends React.Component {
  componentDidMount() {

  }

  render() {
    return (
      <StyledDiv className='content'>
        <h2>Apresentação</h2>
        <div className='page'>
          <p>Olá, aluna(o)!</p>
          <p>A Caderneta da Criança: Passaporte da Cidadania é um instrumento intersetorial que ancora a proposta de abordagem dialógica entre as políticas de saúde, educação e assistência social, com o propósito de prestar a atenção integral à criança em seu contexto familiar.</p>
          <CaixaColorida Content={[
            <span>Trata-se de um documento único no qual devem ficar registradas todas as informações sobre o atendimento à criança nos serviços de saúde, educação e assistência social para o acompanhamento desde o momento do seu nascimento até os 9 anos de idade.</span>
          ]} />
          <p>Ao registrarem as informações na Caderneta da Criança, os profissionais compartilham esses dados com a família e facilitam a integração das ações sociais.</p>
          <p>Bons estudos!</p>
          <CaixaIcone type='objetivo' title='OBJETIVO' Content={[
            <span>Neste recurso, você irá entender o que é a Caderneta da Criança e qual o seu papel no acompanhamento infantil.</span>
          ]} Id='1' />
        </div>
      </StyledDiv>
    )
  }
}
export default Page
