import React from 'react'
import styled from 'styled-components'
import CaixaAbasHorizontal from '../components/CaixaAbasHorizontal'
import Ref from '../components/Ref'
import CaixaColorida from '../components/CaixaColorida'

const StyledDiv = styled.div`
`

class Page extends React.Component {
  componentDidMount() {

  }

  render() {
    return (
      <StyledDiv className='content'>
        <h2>Caderneta da Criança</h2>
        <div className='page'>
          <p>A Caderneta da Criança é um instrumento de apoio transversal à atenção integral por toda a infância (0 a 9 anos), que reúne dados da história obstétrica e neonatal, informações/orientações sobre aleitamento materno, alimentação saudável, crescimento e desenvolvimento, uso de suplementos (ferro, vitamina A e outros micronutrientes), saúde bucal, saúde auditiva, visual e imunização. Também compõem seu conteúdo, direitos e garantias sociais dos pais e das crianças, sinais de perigos à saúde da criança, orientações para a promoção da saúde, prevenção de acidentes e violências.</p>
          <CaixaAbasHorizontal AbasContent={[
            <span>Em sua nova versão (2019 – 1ª edição), além de nova identidade visual, os marcos do desenvolvimento foram ampliados para alcançar crianças de 3 a 6 anos. Antes, a faixa etária era de 0 a 3, e foram acrescidos temas sobre o uso dos eletrônicos, consumo e quadro para registro de informações sobre as consultas de puericultura<Ref Id="1" />.</span>,
            <span>Na edição 2021 da Caderneta (3ª edição) consta o Formulário M-CHAT-R/F, um instrumento de  rastreio precoce de sinais de risco compatíveis com Transtorno do Espectro Autista (TEA)<Ref Id="2" />.</span>
          ]} />
          <CaixaColorida Content={[
            <span>Sob o princípio da integralidade do Sistema Único de Saúde (SUS) e da cooperação intersetorial no cuidado infantil, para esta nova versão, o conteúdo da Caderneta da Criança fortaleceu o diálogo com as políticas de educação e assistência social, de modo a prestar o serviço integral e integrado à criança, germinando, assim, o exercício da intersetorialidade da atenção.</span>
          ]} />
        </div>
      </StyledDiv>
    )
  }
}
export default Page
