import React from 'react'
import styled from 'styled-components'
import CaixaSombreada from '../components/CaixaSombreada'
import CaixaIcone from '../components/CaixaIcone'

const StyledDiv = styled.div`
p:not(:last-child) {
  margin-bottom: 1em;
}
`

class Page extends React.Component {
  componentDidMount() {

  }

  render() {
    return (
      <StyledDiv className='content'>
        <h2>Caderneta da Criança</h2>
        <div className='page'>
          <p>A Caderneta da Criança, enquanto instrumento estratégico de acompanhamento do crescimento e desenvolvimento da criança, é uma valiosa plataforma de dados utilizada no âmbito do Ministério da Saúde (MS), não somente pelo Departamento de Ações Programáticas Estratégicas (DAPES), mas também por outras Coordenações da Secretaria de Atenção Primária à Saúde (SAPS), como a Saúde Bucal, Alimentação e Nutrição e pelo Programa Nacional de Imunização (PNI) da Secretaria de Vigilância à Saúde (SVS), que muito tem contribuído para o processo de atualização e ampliação dos conteúdos que constam nesse documento.</p>
          <CaixaSombreada Content={[
            <span>Sobre a sua logística de distribuição gratuita, o MS, por meio da Coordenação de Saúde da Criança e Aleitamento Materno (COCAM), é responsável pela elaboração, atualização do conteúdo, planejamento da impressão e distribuição da Caderneta.</span>
          ]}/>
          <p>O cálculo para impressão e distribuição da Caderneta baseia-se nos dados do Sistema de Informação sobre Nascidos Vivos (SINASC) por local de ocorrência do nascimento. Em média, por ano, são produzidos 3.200.000 (três milhões e duzentos mil) exemplares, que são enviados para as Coordenações da Criança dos estados e capitais e para os Distritos Sanitários Especiais Indígenas (DSEI) – responsáveis por fazer chegar às maternidades públicas e privadas nos municípios.</p>
          <CaixaIcone type="importante" title="IMPORTANTE" Content={[
            <span>A venda da Caderneta é proibida.</span>
          ]}/>
        </div>
      </StyledDiv>
    )
  }
}
export default Page
