import React from 'react'
import styled from 'styled-components'
import ImgTextoLeft from '../components/ImgTextoLeft'
import ImgTextoRight from '../components/ImgTextoRight'
import ModalBtn from '../components/ModalBtn'
import img1 from './media/images/pag5_img1.svg'
import img2 from './media/images/pag5_img2.svg'
import img3 from './media/images/pag5_img3.svg'

const StyledDiv = styled.div`
@media(max-width: 99.9vh) {
  [class*="tamanho"] > * {
    margin-left: 0 !important;
    margin-right: 0 !important;
  }
}

.tamanho7 {
  width: 71.9%;
}

.tamanho3 {
  width: 27.9%;
}
`

class Page extends React.Component {
  componentDidMount() {
  }

  render() {
    return (
      <StyledDiv className='content'>
        <h2>Caderneta da Criança</h2>
        <div className='page'>
          <p><strong>E o que representa a Caderneta?</strong></p>
          <ImgTextoLeft src={img1} alt="Imagem de uma mãe, pai e bebê juntos" Content={[
            <span>Para as <strong>famílias/cuidadores</strong>, a Caderneta é um material de fácil manejo no qual é possível buscar informações, tirar dúvidas, orientar e acompanhar as condições de crescimento (peso, comprimento/altura e índice de massa corporal) e desenvolvimento (motor, cognitivo e socioafetivo) de seus filhos.</span>
          ]}/>
          <ImgTextoRight src={img2} alt="Imagem dois meninos e uma menina alegres" Content={[
            <span>Para as <strong>crianças</strong>, a posse desta Caderneta é a conquista de seus direitos. Assim, é direito de toda criança nascida no Brasil receber, ainda na maternidade, pública ou privada, um exemplar da Caderneta da Criança devidamente preenchido. As crianças que não nasceram em ambiente hospitalar devem receber um exemplar na Rede de Atenção à Saúde (RAS) ou outro local estabelecido pela Secretaria Municipal de Saúde.</span>
          ]}/>
          <ImgTextoLeft src={img3} alt="Imagem de alguém analisando estatísticas" Content={[
            <span>Para a <strong>gestão</strong>, quando devidamente preenchida, a Caderneta torna-se um efetivo dispositivo técnico de vigilância que possibilita seguir os indicadores de saúde de cada criança atendida no SUS e que subsidia o planejamento e a implementação de políticas públicas.</span>
          ]}/>
          <ModalBtn BtnType="importante" BtnText="IMPORTANTE" ModalTitle="IMPORTANTE" ModalContent={[
            <span>O uso adequado da Caderneta é importante para promover o diálogo entre serviços e profissionais e para estreitar e manter o vínculo da criança e da família com as políticas públicas.</span>  
          ]}/>
        </div>
      </StyledDiv>
    )
  }
}
export default Page
