import React from 'react'
import styled from 'styled-components'
import TabelaAnimada from '../components/TabelaAnimada'
import Ref from '../components/Ref'

const StyledDiv = styled.div`
.item {
  display: none !important;
}

table tr td.description {
  max-height: unset;
}

.MuiTab-root {
  width: 50%;
}

ol {
  margin-bottom: 0;
  padding-left: 2em;
}
`

class Page extends React.Component {
  componentDidMount() {

  }

  render() {
    return (
      <StyledDiv className='content'>
        <h2>Conteúdo da Caderneta da Criança</h2>
        <div className='page'>
          <p>Para ampliar ainda mais o seu conhecimento sobre este instrumento de atenção integral no cuidado da saúde da criança, veja abaixo como os conteúdos estão dispostos na Caderneta<Ref Id="2" />.</p>
          <p>Na <strong>parte I</strong> consta um conjunto de temas e informações direcionados para as famílias/cuidadores, e a <strong>parte II</strong> traz conteúdos direcionados aos profissionais que prestam os atendimentos, com espaços para registros do acompanhamento da criança, administração de ferro e outros micronutrientes, consultas recomendadas outras intercorrências<Ref Id="3" />.</p>
          <TabelaAnimada Headers={["PARTE I", "PARTE II"]} Content={[
            {
              header: "PARTE I",
              content: [
                {
                  item: "",
                  description: [
                    <ol>
                      <li>Direitos e garantias sociais;</li>
                      <li>Cuidando da saúde da criança;</li>
                      <li>Amamentando o bebê;</li>
                      <li>Alimentando para garantia à saúde;</li>
                      <li>Estimulando o desenvolvimento com afeto;</li>
                      <li>Percebendo alterações no desenvolvimento;</li>
                      <li>Percebendo alterações na visão e audição;</li>
                      <li>Promovendo a saúde bucal;</li>
                      <li>Observando com cuidado o uso de eletrônicos e o consumo;</li>
                      <li>Prevenindo acidentes;</li>
                      <li>Protegendo a criança da violência.</li>
                    </ol>
                  ]
                }
              ]
            },
            {
              header: "PARTE II",
              content: [
                {
                  item: "",
                  description: [
                    <ol>
                      <li>Acompanhamento da criança e consultas recomendadas;</li>
                      <li>Acompanhando o desenvolvimento;</li>
                      <li>Acompanhando o crescimento;</li>
                      <li>Acompanhamento odontológico;</li>
                      <li>Registro da suplementação de vitamina A, ferro ou outros micronutrientes;</li>
                      <li>Vacinação;</li>
                      <li>Anotações; </li>
                      <li>Agendas de consultas individuais e atividades coletivas.</li>
                    </ol>
                  ]
                }
              ]
            }
          ]} />
          <p>Desde 2019 o Ministério da Saúde distribui a <strong>Caderneta da Criança (intersetorial) (CC)</strong><Ref Id="2"/>, contudo, a <strong>Caderneta de Saúde da Criança (CSC)</strong> continua válida e deve seguir sendo o documento de acompanhamento da saúde das crianças que a receberam, até os 9 anos.</p>
        </div>
      </StyledDiv>
    )
  }
}
export default Page
