import React from 'react'
import styled from 'styled-components'
import ListaAnimada from '../components/ListaAnimada'
import CaixaIcone from '../components/CaixaIcone'
import ImgTextoRight from '../components/ImgTextoRight'
import img1 from './media/images/pag7_img1.png'

const StyledDiv = styled.div`
.img-right {
  width: 81.5%;
}

.image {
  display: inline-flex;
  justify-content: center;
}

.caixa-icones p {
  margin-bottom: 0;
}
`

class Page extends React.Component {
  componentDidMount() {

  }

  render() {
    return (
      <StyledDiv className='content'>
        <h2>Caderneta de Saúde da Criança x Caderneta da Criança</h2>
        <div className='page'>
          <p>Em resumo, o que é diferente entre a Caderneta de Saúde da Criança e a Caderneta da Criança?</p>
          <p>A Caderneta da Criança possibilitou:</p>
          <ListaAnimada ListContent={["Ampliação do diálogo com as políticas de Assistência Social e Educação;", "Inclusão de espaço para registro das informações de consultas de puericultura;", "Ampliação dos marcos do desenvolvimento para crianças de 3 para 6 anos;", "Inclusão do checklist modificado para autismo em crianças pequenas (M-CHAT-R/F)."]}/>
          <CaixaIcone type="saibamais" title="PARA SABER MAIS" Content={[
            <ImgTextoRight src={img1} alt="Imagem das capas das diferentes versões da caderneta da criança" Content={[
              <span>Existem duas versões da Caderneta em circulação: A Caderneta de Saúde da Criança (CSC), distribuída até 2019, e a Caderneta da Criança (CC), com a 1ª edição lançada em 2019, edição que será distribuída em 2022.</span>
            ]}/>
          ]}/>
        </div>
      </StyledDiv>
    )
  }
}
export default Page
